> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Offer URL Tracking Link

Generate a tracking URL for a specific offer, tracking domain, affiliate, and offer URL combination. This is useful for retrieving the exact tracking link that an affiliate would use for a particular offer URL. Optional query parameters allow you to include a traffic source or force a redirect link.


## OpenAPI

````yaml openapi/tracking.yaml get /networks/offers/{offerId}/trackingdomain/{domainId}/url/{affiliateId}/{urlId}
openapi: 3.0.3
info:
  title: Everflow Network API - Tracking Links
  description: >
    Endpoints for generating tracking links for offers and affiliates. For
    tracking concepts and setup, see the [Tracking
    guide](https://helpdesk.everflow.io/customer/introduction-to-tracking-with-everflow).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Tracking Links
paths:
  /networks/offers/{offerId}/trackingdomain/{domainId}/url/{affiliateId}/{urlId}:
    get:
      tags:
        - Tracking Links
      summary: Generate Offer URL Tracking Link
      parameters:
        - in: path
          name: offerId
          required: true
          schema:
            type: integer
          description: The ID of the offer.
        - in: path
          name: domainId
          required: true
          schema:
            type: integer
          description: The ID of the tracking domain.
        - in: path
          name: affiliateId
          required: true
          schema:
            type: integer
          description: The ID of the affiliate.
        - in: path
          name: urlId
          required: true
          schema:
            type: integer
          description: |
            The ID of the offer URL. Use `0` to use the default offer URL.
        - in: query
          name: network_traffic_source_id
          required: false
          schema:
            type: integer
          description: >
            An optional traffic source ID. When provided, the traffic source
            parameters will be appended to the tracking URL.
        - in: query
          name: is_redirect_link
          required: false
          schema:
            type: boolean
          description: >
            Only relevant for direct linking offers. Can be used to override the
            default setting and generate a redirect link.
      responses:
        '200':
          description: ''
          content:
            application/json:
              example:
                url: https://www.testtracking.com/26W72JGK/4P81Z17/?uid=1186
              schema:
                type: object
                properties:
                  url:
                    type: string
                    description: >
                      The generated tracking URL. Includes a `uid` query
                      parameter referencing the offer URL ID.
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````